#ifndef ZIPHDR_H
#define ZIPHDR_H

typedef unsigned char  uch;
typedef unsigned short ush;
typedef unsigned long  ulg;

extern unsigned char *inbuf;

extern unsigned long insize; /* valid bytes in inbuf */
extern unsigned long inptr;  /* index of next byte to be processed in inbuf */
extern unsigned long outcnt; /* bytes in output buffer */
extern unsigned char *window;

#define WSIZE 0x8000     /* window size--must be a power of two */

extern unsigned char get_byte (void);
extern void flush_window (void);
extern void put_char (unsigned char c);
extern int inflate (void);
extern void initUnzip (char *data, unsigned long size, char *dest);
#endif
