#ifndef TSERVICE_H
#define TSERVICE_H

/* These are the core functions are expected to be provided by the
   target dependent services. They are used by both cygmon and by
   libstub
*/


extern int read_memory (mem_addr_t *src, int size, int amt, char *dst);

extern int write_memory (mem_addr_t *dst, int size, int amt, char *src);



extern void set_breakpoint (struct bp *bp);
extern void clear_breakpoint (struct bp *bp);


#ifndef HAVE_BSP
extern void set_pc (target_register_t pc);
#endif

extern target_register_t next_step_pc (void);

extern void enable_interrupts (void);


extern void initialize_mon(void);
#endif









